<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.90
Name: VZVZ Ontvangstbevestiging
Description: Ontvangstbevestiging. De waarde voor het element  acceptAckCode  is "NE".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000">
   <title>VZVZ Ontvangstbevestiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.90
Context: hl7:MCCI_IN000002
Item: (Ontvangstbevestiging)
-->

   <rule context="hl7:MCCI_IN000002"
         id="tmp-r-32d31599-0f69-4bdf-9471-752850a633fa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Ontvangstbevestiging): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:id)&lt;=1">(Ontvangstbevestiging): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(Ontvangstbevestiging): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:creationTime)&lt;=1">(Ontvangstbevestiging): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&gt;=1 and not(hl7:versionCode[@code='NICTIZEd2005-Okt']/@nullFlavor)">(Ontvangstbevestiging): element hl7:versionCode[@code='NICTIZEd2005-Okt'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&lt;=1">(Ontvangstbevestiging): element hl7:versionCode[@code='NICTIZEd2005-Okt'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:processingCode[@code='P'])&gt;=1 and not(hl7:processingCode[@code='P']/@nullFlavor)">(Ontvangstbevestiging): element hl7:processingCode[@code='P'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:processingCode[@code='P'])&lt;=1">(Ontvangstbevestiging): element hl7:processingCode[@code='P'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:processingModeCode[@code='T'])&gt;=1 and not(hl7:processingModeCode[@code='T']/@nullFlavor)">(Ontvangstbevestiging): element hl7:processingModeCode[@code='T'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:processingModeCode[@code='T'])&lt;=1">(Ontvangstbevestiging): element hl7:processingModeCode[@code='T'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:acceptAckCode[@code='NE'])&gt;=1 and not(hl7:acceptAckCode[@code='NE']/@nullFlavor)">(Ontvangstbevestiging): element hl7:acceptAckCode[@code='NE'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:acceptAckCode[@code='NE'])&lt;=1">(Ontvangstbevestiging): element hl7:acceptAckCode[@code='NE'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:acknowledgement)&gt;=1 and not(hl7:acknowledgement/@nullFlavor)">(Ontvangstbevestiging): element hl7:acknowledgement is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.90-2014-01-13T000000.html"
              test="count(hl7:acknowledgement)&lt;=1">(Ontvangstbevestiging): element hl7:acknowledgement komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:id
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:id"
         id="tmp-r-34f2744a-7b58-4e10-80d6-d5dbc9c798aa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000200): Transmission: id element mist root of extension</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:creationTime"
         id="tmp-r-c44bbe7a-48ef-4f3f-8768-d5086d857d78">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:versionCode[@code='NICTIZEd2005-Okt']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:versionCode[@code='NICTIZEd2005-Okt']"
         id="tmp-r-12312c03-7ada-4d0f-a0c4-13529beeb2a6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'NICTIZEd2005-Okt'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-r-6a088a03-5d66-41bc-913d-093130b3aadb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000200): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-r-ee3b4ae2-e4fb-4bee-89e0-12b1ddab2d4a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="string(@extension)='810'">(TransmissionWrapperMCCI_MT000200): de waarde van @extension MOET '810' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:processingCode[@code='P']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:processingCode[@code='P']"
         id="tmp-r-f28e25e2-0097-4348-8c04-37ed0624457d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'P'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:processingModeCode[@code='T']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:processingModeCode[@code='T']"
         id="tmp-r-5b594be3-b66c-4d4e-b136-cdc89ac4cdce">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'T'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acceptAckCode[@code='NE']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acceptAckCode[@code='NE']"
         id="tmp-r-d88d278c-c0c1-4ab0-8d8f-a25b69487d6c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@nullFlavor or (@code='NE')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'NE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acknowledgement
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement"
         id="tmp-r-10448b94-61ce-4e30-8c12-46c85bb9b69c">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('CA','CE','CR','AA','AE','AR')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(TransmissionWrapperMCCI_MT000200): de waarde van typeCode MOET 'code CA of code CE of code CR of code AA of code AE of code AR' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR'">(TransmissionWrapperMCCI_MT000200): Transmission: ontvangstbevestigingen moeten acknowledgement/@typeCode CA, CE of CR hebben. In slechts sommige gevallen worden toch inhoudelijke antwoorden toegestaan (@typeCode is 'AA', 'AE' or 'AR').</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail">(TransmissionWrapperMCCI_MT000200): Transmission: negatieve antwoordberichten moeten ook een reden hebben waarom</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="count(hl7:targetMessage)&gt;=1 and not(hl7:targetMessage/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="count(hl7:targetMessage)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail"
         id="tmp-r-697c98b9-c585-4de0-b247-beffe84991d3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="string(@typeCode)='E' or not(@typeCode)">(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET 'E' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="hl7:code[@code and @displayName] or hl7:text">(TransmissionWrapperMCCI_MT000200): Transmission: er moet een toelichting op de fout/waarschuwing zijn in hl7:code/@displayName of text</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="count(hl7:code)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="count(hl7:text)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code"
         id="tmp-r-deee1731-f8b0-4f7b-9ac4-0564a90f3b3d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="@displayName or @codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4'">(TransmissionWrapperMCCI_MT000200): Transmission: als de code niet uit een van de standaardcodesystemen '2.16.840.1.113883.5.1100', '2.16.840.1.113883.2.4.6.6.1.1000', of '2.16.840.1.113883.5.4' komt is het @displayName attribuut
                            verplicht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text"
         id="tmp-r-a89eb13f-b16d-46b0-a8d2-53ebb0e6077f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location"
         id="tmp-r-52c85bed-1f4f-4d80-9a72-252dd81c0572">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage"
         id="tmp-r-c7ff1e1c-7102-4759-a784-da58112fff9a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="count(hl7:id)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.91
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id"
         id="tmp-r-346772de-5edc-4286-9f5b-a08bf06df6de">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.91-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
